#!/bin/sh
mkdir -p ~/.gvfs
pup-volume-monitor-admin --start &
CURRENTWM=`cat /etc/windowmanager`
if [ "${CURRENTWM}" = "startxfce4" ]; then
  yaf-splash -placement top -bg CadetBlue4 -fg white -timeout 4 -text "XfPup is starting" &
  if [ ! -f /opt/xfpup/xfpup-hints-shown ]; then
    sed -i 's%AutoAddDevices\" \"false%AutoAddDevices\" \"true%' /etc/X11/xorg.conf
    show_xfpup_notes.sh && touch /opt/xfpup/xfpup-hints-shown && restartwm &
  # fix RoxFiler icons
  sed -i 's%>Puppy Standard</Option>%>ROX</Option>%' /root/.config/rox.sourceforge.net/ROX-Filer/Options
  # fix suspend
  sed -i 's%#DISABLE_LOCK%DISABLE_LOCK%' /etc/acpi/acpi.conf
  sed -i 's%#restartwm%restartwm%' /etc/acpi/actions/suspend.sh

  for item in $(ls /opt/xfpup/hidden-menu-items)
  do
   rm /usr/share/applications/$item
  done
  update-mime-database /usr/share/mime &
  gtk-update-icon-cache /usr/share/icons/* &
  glib-compile-schemas /usr/share/glib-2.0/schemas &
  quicksetup &
  fi
fi

country=`grep XkbLayout /etc/X11/xorg.conf | cut -d \" -f 4`
setxkbmap $country
